Jump to content
The Dark Mod Forums
Sign in to follow this  
plotzzz

"Malloc" error with 3GB RAM + 1GB Video Ram ?

Recommended Posts

nope

 

and no

 

already maxed memory on XP

 

Ah I got your post mixed with someone elses about the amount of ram, I see you have 4GB.

XP Works, I can play on an XP laptop just fine. L&L does crash most of the time, but that is a huge map. It did load twice out of the 6 or 7 times I tried loading it. Then again, I still get Malloc errors sometimes on my desktop which has 6 GB of ram, and this is on Windows 7 64bit.

Not going to remove XP support just because 1 or 2 maps have issues and are pushing the Doom 3 engine to it's limits.


I always assumed I'd taste like boot leather.

 

Share this post


Link to post
Share on other sites

Ah I got your post mixed with someone elses about the amount of ram, I see you have 4GB.

XP Works, I can play on an XP laptop just fine. L&L does crash most of the time, but that is a huge map. It did load twice out of the 6 or 7 times I tried loading it. Then again, I still get Malloc errors sometimes on my desktop which has 6 GB of ram, and this is on Windows 7 64bit.

Not going to remove XP support just because 1 or 2 maps have issues and are pushing the Doom 3 engine to it's limits.

 

look i am not sure what your position is in the dev circle but i am just a simple user/ gamer and like things to be as nailed down as possible. can we hope to expect support for xp, fixing crashes and what not? if the answer is no, you have no argument for keeping it listed, and for the record it crashes on more than just 2 maps. its closer to half a dozen, could be more.

 

its quite simple, either try and continue to support it in future updates to TDM code or just drop the support for xp already and let it be know.

 

currently the only form of support i see is from the enthusiasts or in the wiki which is all well and good for a mod but lets face it, none of which solve the crashing. i find this on the fence approach to be no good for anyone.

Edited by shadowbod

Share this post


Link to post
Share on other sites

I rarely suggest this, but were I you, I'd seek to change what I could on my system to replicate those who have more success running it. So far you seem to be a minority of one (although I'm quite familiar with the 90-9-1 rule, and there are likely others in your circumstance as well who haven't spoken up, compared to those with different experience from you who have). However parameters of compatibility are not determined by an individual finding less success than most users. There's no "on the fence". Others consistently report the same findings on specific missions. Your experience is different. That's okay. Such is the nature of life, it's not black and white. However your experience does not dictate others'. Hence multiple folks suggesting giving false information (won't work on XP) isn't an appropriate way to go (since it does work on XP, even for you in most cases, and your circumstance seems to be an outlier).

 

The purpose of compatibility guidelines and information provided on a wiki is to do just that, provide a guideline and information. It's not a guaranty. Removing information, or providing inaccurate information for most peoples circumstances, is not helpful to them. My condolences your perspective may differ.

 

However please recognize that your contribution does matter, and you are heard, and who knows, although MS has extended their support of XP recently, things might change with future development, and XP will fall off the list? Or greater accommodations may be made? Perhaps more future missions will be more demanding and we'll all remember your suggestion and be motivated to pull it then. However currently it seems all those actually playing with XP would wonder why their OS wasn't listed were it removed it seems. ;-)

  • Like 1

"The measure of a man's character is what he would do if he knew he never would be found out."

- Baron Thomas Babington Macauley

Share this post


Link to post
Share on other sites

Ironically, the question of maintaining XP support for Dark Radiant just came up. So if there are mappers on it, might want to poke that thread in the editors section.


"The measure of a man's character is what he would do if he knew he never would be found out."

- Baron Thomas Babington Macauley

Share this post


Link to post
Share on other sites

Would everybody agree on "XP partially supported" expression ? :D

Cause every mission will work IF you can acccept blurry maps and low-res textures.

Edited by plotzzz

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×
×
  • Create New...